<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/PTree/Atom.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::PTree::Atom</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../PTree.html" >PTree</a>
</div><div class="class-name">class Atom

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/PTree/Node.hh.html" target="detail">../Synopsis/PTree/Node.hh</a></div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis_mPTree_mAtom" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line105" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="Atom-inheritance" src="Atom-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Atom-inheritance_map" />
<map name="Atom-inheritance_map"><area alt="Scopes/Synopsis/PTree/CommentedAtom.html" href="CommentedAtom.html" shape="rect" coords="5, 156, 229, 180" />
<area alt="Scopes/Synopsis/PTree/Literal.html" href="Literal.html" shape="rect" coords="253, 156, 413, 180" />
<area alt="Scopes/Synopsis/PTree/Node.html" href="Node.html" shape="rect" coords="149, 7, 301, 31" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Atom_lconst.char_S_csize_t_r">Atom</a>(const&#160;char* <span class="variable">p</span>, size_t <span class="variable">l</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis_mPTree_mAtom_mAtom_lconst.char_S_csize_t_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line108" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Atom_lconst.Token_A_r">Atom</a>(const&#160;<a href="../Token.html" >Token</a>&amp; <span class="variable">t</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis_mPTree_mAtom_mAtom_lconst.Token_A_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line109" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;bool <a class="name" id="is_atom_l_rconst">is_atom</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis_mPTree_mAtom_mis_atom_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line110" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="accept_lVisitor_S_r">accept</a>(<a href="Visitor.html" >Visitor</a>* <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref2.html#Synopsis_mPTree_mAtom_maccept_lVisitor_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Node.hh.html#line111" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:52 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
